UUENCODE(1)

NAME
uuencode, uudecode - encode/decode a binary file

SYNOPSIS
uuencode [file] name
uudecode [-cp] [file ...]

DESCRIPTION
Uuencode and uudecode are used to transmit binary files over transmission mediums that do not support other than simple ASCII data.

Uuencode reads file (or by default the standard input) and writes an encoded version to the standard output. The encoding uses only printing ASCII characters and includes the mode of the file and the operand name for use by uudecode.

Uudecode transforms uuencoded files (or by default, the standard input) into the original form. The resulting file is named name and will have the mode of the original file except that setuid and execute bits are not retained. Uudecode ignores any leading and trailing lines.

The following options are available for uudecode:

-c  Decode more than one uuencode'd file from file if possible.

-p  Decode file and write output to standard output.

EXAMPLES
The following example packages up a source tree, compresses it, uuencodes it and mails it to a user on another system. When uudecode is run on the target system, the file ``src_tree.tar.Z'' will be created which may then be uncompressed and extracted into the original tree.

    tar cf - src_tree | compress |
    uuencode src_tree.tar.Z | mail sys1!sys2!user

The following example unpack all uuencode'd files from your mailbox into your current working directory.

    uudecode -c < $MAIL

The following example extract a compress'ed tar archive from your mailbox

    uudecode -p < $MAIL | zcat | tar xfv -

SEE ALSO
compress(1), mail(1), uucp(1), uuencode(5)

BUGS
The encoded form of the file is expanded by 35% (3 bytes become 4 plus control information).

HISTORY
The uuencode command appeared in 4.0BSD.